<mat-card class="example-card">
  <mat-card-header>
    <div mat-card-avatar class="example-header-image"></div>
    <mat-card-title>RCP Server</mat-card-title>
    <mat-card-subtitle>Request receiver</mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <div class="spinner-container" *ngIf="!hasMessage">
      <mat-spinner></mat-spinner>
      <div>
        <b>Waiting for messages</b>
      </div>
    </div>
    <ng-container *ngIf="hasMessage">
      <div>
        <div class="mb-2">Please click&nbsp;<button mat-button color="primary"
                                      mat-raised-button (click)="sendResponseByType()">Response (by type)</button>&nbsp;data to send data back to the requester.</div>

        <div class="mb-2">Please click&nbsp;<button mat-button color="primary"
                                      mat-raised-button (click)="sendResponse()">Response</button>&nbsp;data to send data back to the requester.</div>

        <div class="mb-2">Please click&nbsp;<button mat-button color="warn"
                                      mat-raised-button (click)="sendExceptionByType()">Throw error</button>&nbsp;data to &nbsp;<b style="color: red">throw exception</b>&nbsp; to the requester.</div>

        <div class="mb-2">Please click&nbsp;<button mat-button color="warn"
                                                    mat-raised-button (click)="sendException()">Throw error</button>&nbsp;data to &nbsp;<b style="color: red">throw exception</b>&nbsp; to the requester.</div>

      </div>
    </ng-container>
  </mat-card-content>
</mat-card>
